%global momorel 5
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Brand-new music player for K Desktop Environment
Name: falf
Version: 1.1
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://falf.sourceforge.net/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: %{name}-ja.po
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gettext
BuildPreReq: taglib-devel
BuildPreReq: xine-lib

%description
FALF Player is brand-new, written from scratch music player for K Desktop Environment.

Highlights:
- multiplaylist support
- lyrics support
- m3u support
- last.fm support
- HTTP streams support (radio)
- built-in tags' editor
- built-in equalizer
- easy transfer of tracks to removable device
- high stability
- low memory consumption

%prep
%setup -q

%patch0 -p1 -b .desktop~

# for Japanese
mkdir -p po/ja
install -m 644 %{SOURCE1} po/ja/%{name}.po

%patch1 -p1 -b .gcc43~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

qmake

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# install binary
mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/falf %{buildroot}%{_bindir}/

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications/kde
install -m 644 applnk/falf.desktop %{buildroot}%{_datadir}/applications/kde

# install konqueror service menu
mkdir -p %{buildroot}%{_datadir}/apps/konqueror/servicemenus
install -m 644 applnk/falf_mnu.desktop %{buildroot}%{_datadir}/apps/konqueror/servicemenus/

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{128x128,16x16,22x22,32x32,48x48,64x64}/apps
install -m 644 icons/128x128/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
install -m 644 icons/16x16/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
install -m 644 icons/22x22/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/
install -m 644 icons/32x32/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install -m 644 icons/48x48/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -m 644 icons/64x64/apps/falf.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/falf.png %{buildroot}%{_datadir}/pixmaps/falf.png

# install translations
TRANSLATIONS=("cs" "es" "it" "ja" "nl" "pl" "ru" "uk" "zh_CN")
for i in ${TRANSLATIONS[@]}
do
    mkdir -p %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES
    msgfmt "po/$i/falf.po" -o %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES/falf.mo
done

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CHANGELOG README
%{_bindir}/falf
%{_datadir}/applications/kde/falf.desktop
%{_datadir}/apps/konqueror/servicemenus/falf_mnu.desktop
%{_datadir}/icons/hicolor/*/apps/falf.png
%{_datadir}/locale/*/LC_MESSAGES/falf.mo
%{_datadir}/pixmaps/falf.png

%changelog
* Thu Feb 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-5m)
- update Japanese translation

* Mon Feb 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-4m)
- BPR: taglib-devel, xine-lib

* Mon Feb 11 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1-3m)
- add patch for gcc43, generated by gen43patch(v1)

* Sun Feb 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-2m)
- update Japanese translation

* Sat Feb  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- initial package for music freaks using Momonga Linux
- add Japanese translation
